Twintig jaar nadat de oorspronkelijke ontwerper een begin maakte met programmeertaal Ruby, brengen de ontwikkelaars versie 2.0 uit. De nieuwe versie is, op een paar uitzonderingen na, compatibel met zijn voorganger, waardoor migreren van die versie eenvoudig moet zijn.

Compatibel met 1.9

De nieuwe versie is compatibel met voorganger 1.9 en het is volgens de makers daarom makkelijker om te migreren van 1.9 naar de nieuwe versie dan het was om van 1.8 naar 1.9 over te stappen. Ook hebben de ontwikkelaars eraan gewerkt om de nieuwe versie compatibel te houden met Ruby-framework. Zo werken Ruby on Rails en tDiary met Ruby 2.0.

Ruby werkt vanaf versie 2.0 standaard met unicodeformaat UTF8 in plaats van ASCII. Dit maakt het voor ontwikkelaars makkelijker om code te ontwerpen met tekens die niet in de 7-bit ASCII-table voorkomen. De broncode is vrijgegeven onder een BSD-licentie.

20 jaar Ruby

Op 24 februari 1993 begon ontwikkelaar Yukihiro Matsumoto met het ontwerpen van de programmeertaal en twee jaar later verschenen de eerste versies op Japanse nieuwsgroepen. In 1996 ging Ruby naar 1.0-status. Vooral de afgelopen 10 jaar heeft de programmeertaal een vlucht genomen, bijvoorbeeld met Ruby on Rails. Webapplicaties als DigiD, Twitter en online woordenboek Urban Dictionary zijn in dit platform gebouwd.